﻿Public Class dofile
    Const SAVE_FILE As String = "\savefile.txt"  '保存ファイル
    Private _id As String                        'ID
    Private _pw As String                        'PW
    Private _bool As Boolean                     'CheckBox1.CheckStateの読み取り　FalseかTrue

    Public Sub fileread()
        Try
            '保存ファイルが存在するか確認
            If IO.File.Exists(Application.StartupPath & SAVE_FILE) Then
                Dim reader As New IO.StreamReader(Application.StartupPath & SAVE_FILE)
                Dim line As String      'ファイルの一行
                Dim item() As String    '各項目の配列
                line = reader.ReadLine  'ファイルの一行を読む

                'lineが空の時はプロシージャを抜ける
                If line = "" Then
                    reader.Close()
                    Exit Sub
                End If
                item = line.Split(",")     '一行をカンマで区切る
                _id = item(0)              '_idに1列目を代入
                _pw = item(1)              '_pwに2列目を代入  
                _bool = CBool(item(2))     '_boolに３列目を代入
                reader.Close()
            End If
        Catch ex As Exception
            MsgBox(ex, MsgBoxStyle.Exclamation)
        End Try
    End Sub
    'IDの読み取り
    Public ReadOnly Property id() As String
        Get
            Return _id
        End Get
    End Property
    'PWの読み取り
    Public ReadOnly Property pw() As String
        Get
            Return _pw
        End Get
    End Property
    'CheckBox1.CheckStateの読み取り　FalseかTrue
    Public ReadOnly Property bool() As Boolean
        Get
            Return _bool
        End Get
    End Property
    'ファイル保存   実行ファイルと同じ場所にファイルを作成
    Public Sub idpwblsave(ByVal id As String, ByVal pw As String, ByVal bl As String)
        Try
            Dim writer As New IO.StreamWriter(Application.StartupPath & SAVE_FILE, False)
            writer.WriteLine(id & "," & pw & "," & bl) 'idとpwとblの間にカンマを挿入
            writer.Close()
        Catch ex As Exception
            MsgBox(ex, MsgBoxStyle.Exclamation)
        End Try
    End Sub
    'ログアウト
    Public Sub deletfile()
        Try
            Dim ans As MsgBoxResult
            ans = MsgBox("ログアウトしますか？", MsgBoxStyle.OkCancel)
            If ans = MsgBoxResult.Ok Then
                'ファイルの削除
                IO.File.Delete(Application.StartupPath & SAVE_FILE)
            End If
        Catch ex As Exception
            MsgBox(ex, MsgBoxStyle.Exclamation)
        End Try
    End Sub
End Class
